@import url("https://fonts.googleapis.com/css2?family=Cairo:wght@400;700&family=Tajawal:wght@400;700&display=swap");

body::-webkit-scrollbar {
  width: 8px;
}

body::-webkit-scrollbar-track {
  background-color: transparent;
}

body::-webkit-scrollbar-thumb {
  background-color: var(--lightHelper);
  background-image: linear-gradient(
    0deg,
    var(--lightHelper) 0%,
    var(--helperColor) 100%
  );
  border-radius: 5px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Cairo", "Tajawal", sans-serif;
}

a {
  text-decoration: none;
  transition: all 0.5s;
}

ul {
  list-style: none;
}

.may-about {
  display: flex;
  align-items: center;
  /* flex-wrap: wrap; */
  padding: 50px 20px;
  gap: 20px;
    background: var(--helperColor);
    color: #fff;
}
.sin-ab {
  margin-top: 100px;
}
.may-about .about-overlay {
  max-width: 50%;
  text-align: start;
  line-height: 1.6;
  padding: 0 80px;
}
.may-about .about-img {
  width: 50%;
  height: 400px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.may-about .about-img div {
  width: 70%;
  height: 400px;
  display: flex;
  background-color: var(--helperColor);
  background-image: url("../img/car (1)3.jpeg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  align-items: center;
  justify-content: center;
  position: relative;
}
.may-about .about-img img {
  width: 60%;
  height: 100%;
  position: absolute;
  top: -10%;
  right: -2%;
}

.may-about h1,
.may-about h2 {
  font-size: 40px;
  margin-bottom: 15px;
  position: relative;
  padding-bottom: 8px;
}
.may-about h2::after,
.may-about h1::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: 0;
  width: 20%;
  height: 3px;
  background: var(--primaryColor);
  border-radius: 2px;
}

.may-about p {
  font-size: 22px;
  margin-bottom: 20px;
}

.veritcal {
  animation-name: veritcal;
  animation-timing-function: linear;
  animation-duration: 9s;
  animation-iteration-count: infinite;
  position: absolute;
  right: 0;
  top: -150px;
}

@keyframes veritcal {
  0% {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
  50% {
    -webkit-transform: translate3d(0, 30px, 0);
    transform: translate3d(0, 30px, 0);
  }
  100% {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

/* -------- Responsive -------- */
@media (max-width: 992px) {
  .sin-ab {
    margin-top: 70px;
  }
  .may-about {
    flex-direction: column;
    text-align: center;
  }

  .may-about .about-overlay {
    padding: 0 20px;
    max-width: 100%;
  }

  .may-about .about-img {
    width: 100%;
  }

  /* .may-about .about-img div {
        width: 75%;
        border-radius: 150px 10px 150px 10px;
    }

    .may-about .about-img img {
        border-radius: 150px 10px 150px 10px;
    } */

  .may-about h2 {
    font-size: 40px;
  }

  .may-about p {
    font-size: 28px;
  }
}

@media (max-width: 576px) {
  .may-about {
    padding: 30px 10px;
    gap: 0;
  }

  .may-about .about-img {
    width: 100%;
    height: 340px;
  }
  .may-about .about-img div {
    width: 100%;
    height: 300px;
    /* border-radius: 150px 10px 150px 10px; */
  }
  .may-about .about-img div img {
    width: 100%;
    height: 300px;
    /* border-radius: 150px 10px 150px 10px; */
  }
  .may-about h2 {
    font-size: 34px;
  }

  .may-about p {
    font-size: 16px;
  }
}
